# gsean

Package: gsean

Type: Package

Title: Gene Set Enrichment Analysis with Networks

Description: Biological molecules in a living organism seldom work individually. They usually interact each other in a cooperative way. Biological process is too complicated to understand without considering such interactions. Thus, network-based procedures can be seen as powerful methods for studying complex process. However, many methods are devised for analyzing individual genes. It is said that techniques based on biological networks such as gene co-expression are more precise ways to represent information than those using lists of genes only. This package is aimed to integrate the gene expression and biological network. A biological network is constructed from gene expression data and it is used for Gene Set Enrichment Analysis.

Version: 1.2.1

Date: 2019-01-24

Author: Dongmin Jung

Maintainer: Dongmin Jung <dmdmjung@gmail.com>

Depends: R (>= 3.4), fgsea, PPInfer

Suggests: SummarizedExperiment, knitr, plotly, RANKS, WGCNA

License: Artistic-2.0

biocViews: Software, StatisticalMethod, Network, GraphAndNetwork,
          GeneSetEnrichment, GeneExpression, NetworkEnrichment,
          Pathways, DifferentialExpression

NeedsCompilation: no





